/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Renato Araujo Oliveira Filho <renato.filho@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_CELL_RENDERER_PIXBUF_H__
#define __TAPIOCAUI_CELL_RENDERER_PIXBUF_H__

#include <glib.h>
#include <glib/gtypes.h>
#include <glib/glist.h>
#include <glib-object.h>
#include <gtk/gtkcellrendererpixbuf.h>

G_BEGIN_DECLS

#define TAPIOCAUI_TYPE_CELL_RENDERER_PIXBUF         (tapiocaui_cell_renderer_pixbuf_get_type ())
#define TAPIOCAUI_CELL_RENDERER_PIXBUF(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TAPIOCAUI_TYPE_CELL_RENDERER_PIXBUF, TapiocaUICellRendererPixbuf))
#define TAPIOCAUI_CELL_RENDERER_PIXBUF_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TAPIOCAUI_TYPE_CELL_RENDERER_PIXBUF, TapiocaUICellRendererPixbufClass))
#define TAPIOCAUI_IS_CELL_RENDERER_PIXBUF(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TAPIOCAUI_TYPE_CELL_RENDERER_PIXBUF))
#define TAPIOCAUI_IS_CELL_RENDERER_PIXBUF_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TAPIOCAUI_TYPE_CELL_RENDERER_PIXBUF))
#define TAPIOCAUI_CELL_RENDERER_PIXBUF_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TAPIOCAUI_TYPE_CELL_RENDERER_PIXBUF, TapiocaUICellRendererPixbufClass))

typedef struct _TapiocaUICellRendererPixbuf      TapiocaUICellRendererPixbuf;
typedef struct _TapiocaUICellRendererPixbufClass TapiocaUICellRendererPixbufClass;

struct _TapiocaUICellRendererPixbufClass 
{
    GtkCellRendererPixbufClass parent_class;
    
    void (* activate) (TapiocaUICellRendererPixbuf *cell,
                       const gchar                 *path);
};

struct _TapiocaUICellRendererPixbuf 
{
    GtkCellRendererPixbuf parent;
};

GType            tapiocaui_cell_renderer_pixbuf_get_type (void);
GtkCellRenderer *tapiocaui_cell_renderer_pixbuf_new      (void);

G_END_DECLS

#endif
