/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Renato Araujo Oliveira Filho <renato.filho@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_LIST_H__
#define __TAPIOCAUI_LIST_H__

#include <gtk/gtkscrolledwindow.h>
#include <gtk/gtktreemodel.h>
#include <gtk/gtktreeviewcolumn.h>
#include <gtk/gtktreeview.h>

G_BEGIN_DECLS

#define TAPIOCAUI_TYPE_LIST         (tapiocaui_list_get_type ())
#define TAPIOCAUI_LIST(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TAPIOCAUI_TYPE_LIST, TapiocaUIList))
#define TAPIOCAUI_LIST_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TAPIOCAUI_TYPE_LIST, TapiocaUIListClass))
#define TAPIOCAUI_IS_LIST(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TAPIOCAUI_TYPE_LIST))
#define TAPIOCAUI_IS_LIST_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TAPIOCAUI_TYPE_LIST))
#define TAPIOCAUI_LIST_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TAPIOCAUI_TYPELIST, TapiocaUIListClass))

typedef struct _TapiocaUIList        TapiocaUIList;
typedef struct _TapiocaUIListClass   TapiocaUIListClass;
typedef struct _TapiocaUIListPrivate TapiocaUIListPrivate;

typedef void (TapiocaUIListCellDataFunc) (GtkTreeViewColumn *tree_column,
                                          GtkCellRenderer   *cell,
                                          GtkTreeModel      *tree_model,
                                          GtkTreeIter       *iter,
                                          gboolean           mouse_over,
                                          gpointer           data);

struct _TapiocaUIListClass
{
    GtkScrolledWindowClass parent_class;
  
    void (* iter_activated)  (TapiocaUIList *self, 
                              GtkTreeIter   *iter);
    void (* iter_selected)   (TapiocaUIList *self, 
                              GtkTreeIter   *iter);
    void (* iter_unselected) (TapiocaUIList *self, 
                              GtkTreeIter   *iter);
};

struct _TapiocaUIList
{
    GtkScrolledWindow parent;

    TapiocaUIListPrivate *priv;
};

GType             tapiocaui_list_get_type       (void);
TapiocaUIList    *tapiocaui_list_new            (void);
void              tapiocaui_list_set_model      (TapiocaUIList            *self,
                                                 GtkTreeModel             *model);
GtkTreeSelection *tapiocaui_list_get_selection  (TapiocaUIList            *self);
void              tapiocaui_list_append_collumn (TapiocaUIList            *self,
                                                 GtkTreeViewColumn        *column,
                                                 GtkCellRenderer          *renderer,
                                                 TapiocaUIListCellDataFunc data_func,
                                                 gpointer                  user_data);    

G_END_DECLS

#endif
