/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Renato Araujo Oliveira Filho <renato.filho@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifndef __TAPIOCAUI_NEW_BUDDY_DIALOG_H__
#define __TAPIOCAUI_NEW_BUDDY_DIALOG_H__

#include <gtk/gtkwidget.h>
#include <gtk/gtkdialog.h>
#include "tapiocaui_db.h"

G_BEGIN_DECLS

#define TAPIOCAUI_TYPE_NEW_BUDDY_DIALOG         (tapiocaui_new_buddy_dialog_get_type ())
#define TAPIOCAUI_NEW_BUDDY_DIALOG(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), TAPIOCAUI_TYPE_NEW_BUDDY_DIALOG, TapiocaUINewBuddyDialog))
#define TAPIOCAUI_NEW_BUDDY_DIALOG_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), TAPIOCAUI_TYPE_NEW_BUDDY_DIALOG, TapiocaUINewBuddyDialogClass))
#define TAPIOCAUI_IS_NEW_BUDDY_DIALOG(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), TAPIOCAUI_TYPE_NEW_BUDDY_DIALOG))
#define TAPIOCAUI_IS_NEW_BUDDY_DIALOG_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), TAPIOCAUI_TYPE_NEW_BUDDY_DIALOG))
#define TAPIOCAUI_NEW_BUDDY_DIALOG_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), TAPIOCAUI_TYPE_NEW_BUDDY_DIALOG, TapiocaUINewBuddyDialogClass))

typedef struct _TapiocaUINewBuddyDialog        TapiocaUINewBuddyDialog;
typedef struct _TapiocaUINewBuddyDialogClass   TapiocaUINewBuddyDialogClass;
typedef struct _TapiocaUINewBuddyDialogPrivate TapiocaUINewBuddyDialogPrivate;

struct _TapiocaUINewBuddyDialogClass
{
    GtkDialogClass parent_class;
};

struct _TapiocaUINewBuddyDialog
{
    GtkDialog parent;

    TapiocaUINewBuddyDialogPrivate *priv;
};


GType         tapiocaui_new_buddy_dialog_get_type       (void);
GtkWidget    *tapiocaui_new_buddy_dialog_new            (TapiocaUIDB             *db, 
                                                         gboolean                 edit_mode);
void          tapiocaui_new_buddy_dialog_set_edit_buddy (TapiocaUINewBuddyDialog *self,
                                                         TapiocaUIBuddyData      *buddy);
const gchar * tapiocaui_new_buddy_dialog_get_id         (TapiocaUINewBuddyDialog *self);

G_END_DECLS

#endif
