/*
 * Tapiocaui app
 * Copyright (C) 2005 INdT
 * @author Renato Araujo Oliveira Filho <renato.filho@indt.org.br>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA02111-1307USA
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <glade/glade.h>
#include <glib/gi18n.h>
#include <gtk/gtkstock.h>
#include <gtk/gtkentry.h>

#include "tapiocaui_cell_renderer_pixbuf.h"

enum
{
    ACTIVATE,
    LAST_SIGNAL
};

static void     tapiocaui_cell_renderer_pixbuf_class_init (TapiocaUICellRendererPixbufClass *k);
static void     tapiocaui_cell_renderer_pixbuf_init       (TapiocaUICellRendererPixbuf*self);
static void     tapiocaui_cell_renderer_pixbuf_finalize   (GObject *object);
static gboolean tapiocaui_cell_renderer_pixbuf_activate   (GtkCellRenderer *cell,
                                                           GdkEvent *event,
                                                           GtkWidget *widget,
                                                           const gchar *path,
                                                           GdkRectangle *background_area,
                                                           GdkRectangle *cell_area,
                                                           GtkCellRendererState flags);

static GObjectClass *parent_class = NULL;
static guint tapiocaui_cell_renderer_pixbuf_signals[LAST_SIGNAL] = { 0 };

G_DEFINE_TYPE (TapiocaUICellRendererPixbuf, tapiocaui_cell_renderer_pixbuf, GTK_TYPE_CELL_RENDERER_PIXBUF)

static void
tapiocaui_cell_renderer_pixbuf_class_init (TapiocaUICellRendererPixbufClass *k)
{
    GObjectClass *object_class = G_OBJECT_CLASS (k);
    GtkCellRendererClass *cell_class = GTK_CELL_RENDERER_CLASS (k);
    parent_class = g_type_class_peek_parent (k);

    object_class->finalize = tapiocaui_cell_renderer_pixbuf_finalize;
    cell_class->activate = tapiocaui_cell_renderer_pixbuf_activate;

    tapiocaui_cell_renderer_pixbuf_signals[ACTIVATE] =
        g_signal_new ("activate",
                      G_OBJECT_CLASS_TYPE (object_class),
                      G_SIGNAL_RUN_LAST,
                      G_STRUCT_OFFSET (TapiocaUICellRendererPixbufClass, activate),
                      NULL, NULL,
                      g_cclosure_marshal_VOID__STRING,
                      G_TYPE_NONE, 1,
                      G_TYPE_STRING);
}

static void 
tapiocaui_cell_renderer_pixbuf_init (TapiocaUICellRendererPixbuf *self)
{
}

static void
tapiocaui_cell_renderer_pixbuf_finalize (GObject *object)
{
    TapiocaUICellRendererPixbuf *self;

    g_return_if_fail (object != NULL);
    g_return_if_fail (TAPIOCAUI_CELL_RENDERER_PIXBUF (object));

    self = TAPIOCAUI_CELL_RENDERER_PIXBUF (object);

    G_OBJECT_CLASS (parent_class)->finalize (object);
}

GtkCellRenderer *
tapiocaui_cell_renderer_pixbuf_new (void)
{
    TapiocaUICellRendererPixbuf *self;
    self = g_object_new (TAPIOCAUI_TYPE_CELL_RENDERER_PIXBUF, NULL);
    return GTK_CELL_RENDERER (self);
}

static gboolean
tapiocaui_cell_renderer_pixbuf_activate (GtkCellRenderer *cell,
                                         GdkEvent *event,
                                         GtkWidget *widget,
                                         const gchar *path,
                                         GdkRectangle *background_area,
                                         GdkRectangle *cell_area,
                                         GtkCellRendererState flags)
{
    g_signal_emit (cell, tapiocaui_cell_renderer_pixbuf_signals[ACTIVATE], 0, path);
    return FALSE;
}
